CVE-1999-0298
CVSS7.5
发布时间 :1997-02-05 00:00:00
修订时间 :2008-09-09 08:34:14
NMCOS    

[原文]ypbind with -ypset and -ypsetme options activated in Linux Slackware and SunOS allows local and remote attackers to overwrite files via a .. (dot dot) attack.


[CNNVD]Ypbind -ypset/-ypsetme缓冲区溢出漏洞(CNNVD-199702-007)

        Linux Slackware和SunOS激活-ypset和-ypsetme选项的ypbind存在漏洞。本地用户和远程攻击者可以通过..(点 点)攻击覆盖文件。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:slackware:slackware_linux:2.2
cpe:/o:slackware:slackware_linux:2.1
cpe:/o:sun:sunos:4.1.4Sun SunOS 4.1.4
cpe:/o:sun:sunos:4.1.3Sun SunOS 4.1.3
cpe:/o:slackware:slackware_linux:2.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0298
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-0298
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199702-007
(官方数据源) CNNVD

- 其它链接及资源

http://www.nai.com/nai_labs/asp_set/advisory/06_ypbindsetme_adv.asp
(UNKNOWN)  NAI  19970205 Vulnerabilities in Ypbind when run with -ypset/-ypsetme

- 漏洞信息

Ypbind -ypset/-ypsetme缓冲区溢出漏洞
高危 其他
1997-02-05 00:00:00 2005-10-20 00:00:00
远程※本地  
        Linux Slackware和SunOS激活-ypset和-ypsetme选项的ypbind存在漏洞。本地用户和远程攻击者可以通过..(点 点)攻击覆盖文件。

- 公告与补丁

        From the Network Associates advisory:
        We suggest that you not invoke ypbind with either the -ypset or -ypsetme options. It would be better practice to define which NIS clients may bind to which NIS servers in local configuration files.

- 漏洞信息

5863
ypbind YPBINDPROC_SETDOMAIN Procedure Traversal Arbitrary File Overwrite
Remote / Network Access Input Manipulation
Loss of Integrity Solution Unknown

- 漏洞描述

- 时间线

1997-02-05 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Ypbind -ypset/-ypsetme Vulnerability
Failure to Handle Exceptional Conditions 1441
Yes Yes
1997-02-05 12:00:00 2009-07-11 02:56:00
This vulnerability was first reported by Network Associates in an advisory on February 5, 1997.

- 受影响的程序版本

Sun SunOS 4.1.3
Slackware Linux 2.0

- 漏洞讨论

Ypbind is an RPC service that allows NIS clients to locate NIS services on a network. Certain versions of ypbind contain a vulnerability when the service is run with the -ypset and -ypsetme switches than can allow a remote or local user to overwrite certain files on the filesystem. By executing the RPC procedure YPBINDPROC_SETDOMAIN with a path that includes the special path characters '..' it is possible to overwrite or create any file with a '.2' extension. This would allow for example an attacker to overwrite any section 2 man page.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

From the Network Associates advisory:

We suggest that you not invoke ypbind with either the -ypset or -ypsetme options. It would be better practice to define which NIS clients may bind to which NIS servers in local configuration files.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站